Blockdaemon REST API - Transaction Overview

The endpoints enable transactions for various blockchain implementations, including EVM and others. It offers endpoints for creating, compiling, sending, decoding, and estimating transaction fees.

This API is part of the Wallet Transact bundles.

Authentication

You can authenticate your request by using your API Key either as a:

or

📘

Info:

Refer to the Authenticate Your API Requests page for more details.

Supported Protocols and Networks

Protocol Network
Avalanche Mainnet-c
Testnet-c
Bitcoin Mainnet
Testnet
Testnet4
Bitcoincash Mainnet
Testnet
Cosmos Mainnet
Ethereum Mainnet
Sepolia
Hoodi
Litecoin Mainnet
Testnet
Near Mainnet
Polkadot Mainnet
Westend
Assethub Mainnet
Assethub Westend
Polygon Mainnet
Amoy
Solana Mainnet
Testnet
Devnet
Stellar Mainnet
Testnet
Tron Mainnet
Nile

API Endpoint Structure

The URL structure for the API endpoints is as follows.

https://svc.blockdaemon.com/tx/v1/{blockchain_id}

Use the Get the Supported Protocol Info - GET /{blockchain_id} endpoint to see which transaction-related endpoints are available for a specific blockchain.

cURL

curl --request GET \
     --url https://svc.blockdaemon.com/tx/v1/PROTOCOL-NETWORK< \
     --header 'accept: application/json' \
     --header 'authorization: Bearer YOUR_API_KEY'

Available Endpoints

Endpoint What's this for?
Create an Unsigned Transaction - POST /create Generates an unsigned transaction that can be signed and broadcasted later.
Derive a Signing Payload - POST /derive_signing_payload Generates a signing payload from an unsigned transaction.
Create an Unsigned Token Transfer Transaction - POST /create/token Creates an unsigned transaction specifically for transferring tokens.
Compile an Unsigned Transaction - POST /compile Converts an unsigned transaction into a format ready for signing.
Compile and Broadcast an Unsigned Transaction - POST /compile_and_send Compiles an unsigned transaction, signs it, and broadcasts it to the network.
Submit a Signed Transaction - POST /send Sends a signed transaction to the blockchain network for execution.
Verify a Transaction - POST /verify Checks if a given transaction is valid and correctly formatted.
Decode a Transaction - POST /decode Decodes a raw transaction to a human-readable format.
Get the Fee Estimation - POST /estimate_fee Estimates the network fees required for a transaction.